package com.ruoyi.agentcenter.listener;

import com.alibaba.fastjson2.JSONObject;
import com.google.common.eventbus.Subscribe;
import com.ruoyi.agentcenter.object.ContractionMessage;
import com.ruoyi.common.utils.EventBusEngine;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;

@Component
public class ContractionListener
{
    @PostConstruct
    public void init()
    {
        EventBusEngine.Register(this);
    }

    @Subscribe
    //@AllowConcurrentEvents
    public void handle(ContractionMessage msg)
    {
        System.err.println(JSONObject.toJSONString(msg));
    }
}
